aboutsummaryrefslogtreecommitdiffstats
path: root/testing/buildbot/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2013-10-09 07:36:13 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2013-10-09 07:38:38 +0000
commite980ad2e29a93652505f0c6c04c9e12538b43392 (patch)
treedd23af1ed9be0f49dadf8cc551b9ef184b472c9f /testing/buildbot/APKBUILD
parentdfb8cea8e87d865f618d9db21537c7b45ab5560b (diff)
downloadaports-e980ad2e29a93652505f0c6c04c9e12538b43392.tar.gz
aports-e980ad2e29a93652505f0c6c04c9e12538b43392.tar.bz2
aports-e980ad2e29a93652505f0c6c04c9e12538b43392.tar.xz
testing/buildbot: new aport
Diffstat (limited to 'testing/buildbot/APKBUILD')
-rw-r--r--testing/buildbot/APKBUILD54
1 files changed, 54 insertions, 0 deletions
diff --git a/testing/buildbot/APKBUILD b/testing/buildbot/APKBUILD
new file mode 100644
index 0000000000..8f5fc84fb5
--- /dev/null
+++ b/testing/buildbot/APKBUILD
@@ -0,0 +1,54 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=buildbot
+pkgver=0.8.8
+pkgrel=0
+pkgdesc="Continuous integration testing framework"
+url="http://buildbot.net/"
+arch="noarch"
+license="GPLv2"
+depends="python py-twisted py-twisted-mail py-twisted-web py-twisted-words
+ py-simplejson py-sqlalchemy7 py-sqlite py-jinja2 py-sqlalchemy-migrate
+ py-dateutil py-setuptools"
+depends_dev=""
+makedepends="python-dev"
+install="${pkgname}.pre-install"
+subpackages=""
+source="https://buildbot.googlecode.com/files/buildbot-$pkgver.tar.gz
+ buildmaster.initd
+ buildmaster.confd"
+
+_builddir="$srcdir"/buildbot-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ install -m755 -D "$srcdir"/buildmaster.initd \
+ "$pkgdir"/etc/init.d/buildmaster || return 1
+ install -m644 -D "$srcdir"/buildmaster.confd \
+ "$pkgdir"/etc/conf.d/buildmaster || return 1
+}
+
+md5sums="472f512584bbb18cc677ca2ec3b3a905 buildbot-0.8.8.tar.gz
+8e175460da21111cb05c7c85fd8a0740 buildmaster.initd
+b3cd43ecb53b66433e0384ad922ffde1 buildmaster.confd"
+sha256sums="5013e3f3d83d2fcac8b5c391e3a740597330015300f0ebb94005ed2f90d739d0 buildbot-0.8.8.tar.gz
+ac3b4aeb9fc1447a53150f66d58baf3258d607577e7d34241ec1a86ff19c436e buildmaster.initd
+bb7f93e3867b32a25e2445a66d40573fa5073a80e73e35ae2a904db715f870c6 buildmaster.confd"
+sha512sums="bd6f9a7a8bdf53a3f7012af7ec4aa2f1f40479496ca1e95dc1b9e0524dbf3bfcd0fbe09a94f8e68b0fd8018949c841d8b3f6ecc306b388e4b917ad21597d9168 buildbot-0.8.8.tar.gz
+19d7c094b55c1444530b55694bbc64d5f49270df0b7a7103b67e498aa97666580fb263a488f8572d66eb83119ad3c9b1d28942d83faa874a70e032e1a50a1547 buildmaster.initd
+d9339c30d3a92e92b41b0e3139ec89ecbd1460b0e4ee6c6fe2560c4307b2eb3f29b838c2f2312b9c7049bd95eaf652d09039227c691af805bc25a36999ec1840 buildmaster.confd"